InstallJupsmon() {

[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install Java Upsmon for Unix?
This software requires a Java environment installed on your System.
Please start the installation from X window shell only, otherwise
we cannot install the files.
EOF

$doecho \\nInstall Javamon [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_ups_dir

cd $UPS_DIR

if [ -f $VER/[Uu][Ss][Mm].[Tt][Aa][Rr] ]; then
    USM=`ls $VER/[Uu][Ss][Mm].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $VER/usm.tar, no such file!
fi

$doecho \\nInstalling classfiles in `pwd`/jupsmon... \\c
tarerror=`$UNTAR $USM 2>&1`
#[ "$tarerror" ] && doerror \\n$tarerror

$doecho ok!; sleep 1

cd jupsmon

cat > sjhp<<EOF
#!/bin/sh
cd `pwd`
java -cp . upsmonsnmp -a \$*
EOF

chmod a+x sjhp
[ $? = 0 ] || doerror failed to fix permissions on sjhp

cat > startusm<<EOF
#!/bin/sh
cd `pwd`
jre -cp . upsmonsnmp -a \$*
EOF

chmod a+x startusm
[ $? = 0 ] || doerror failed to fix permissions on startusm

$doecho \\n\\nJava Upsmon installed in directory `pwd`; sleep 1

cd ..

check_java
}
